<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.member.mapper.MemberCouponMapper">

    <resultMap type="MemberCoupon" id="MemberCouponResult">
        <result property="id"    column="id"    />
        <result property="userId"    column="user_id"    />
        <result property="type"    column="type"    />
        <result property="noticeId"    column="notice_id"    />
        <result property="couponNum"    column="coupon_num"    />
        <result property="balance"    column="balance"    />
        <result property="remark"    column="remark"    />
        <result property="creator"    column="creator"    />
        <result property="createTime"    column="create_time"    />
        <result property="updater"    column="updater"    />
        <result property="updateTime"    column="update_time"    />
        <result property="delFlag"    column="del_flag"    />
    </resultMap>

    <sql id="selectMemberCouponVo">
        select id, user_id, type, notice_id, coupon_num, balance, remark, creator, create_time, updater, update_time, del_flag from dl_member_coupon
    </sql>


</mapper>